<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Kurs Javascript - zadanie</title>
</head>
<style>
    .preety {
        width:90%;
        margin:10rem auto;
        text-align: center;
        border-radius: 0.75rem;
        list-style:none;
        padding:0;
        display: flex;
    }
    .preety li:nth-of-type(2n) {
        background:#2c70e0;
    }
    .preety li:first-child {
        border-radius: 4px 0 0 4px;
    }
    .preety li:last-child {
        border-radius: 0 4px 4px 0;
    }
    .preety li {
        background: #4285F4;
        color:#fff;
        font-size:1.1rem;
        text-transform: uppercase;
        font-family: sans-serif;
        font-weight: bold;
        padding:1.5rem 1rem;
    }
    .preety li.first {
        border-radius: 2rem 0 0 2rem;
        background: #D3055D;
    }
    .preety li.last {
        border-radius: 0 2rem 2rem 0;
        background: #8BC90A;
    }
</style>
<body>

    <ul class="listy">
        <li><a href="">Start</a></li>
        <li><a href="">Galeria</a></li>
        <li><a href="">Oferta</a></li>
        <li><a href="">O nas</a></li>
        <li><a href="">Kontakt</a></li>
    </ul>

    <script>
        // ----------------------------------
        
        const lista = document.querySelector(".listy");
        lista.classList.add("preety");

        const liList = lista.querySelectorAll("li");

        liList[0].classList.add("first");
        liList[liList.length-1].classList.add("last");
        liList[2].classList.add("active");
        liList[2].firstElementChild.style.color = "#ffffff";


        for(ll of liList){
            ll.firstElementChild.title = "Przejdź na stronę " + ll.firstElementChild.innerHTML;
            ll.firstElementChild.href = "#";
        }
        
        HTMLInfo = function(selector){
            this.selector = selector;
            this.elements = document.querySelectorAll(this.selector);
        }

        HTMLInfo.prototype.showElements = function(){
            for(item of this.elements){
                console.log(item);
            }
        }
        HTMLInfo.prototype.showTags = function(){
            for(item of this.elements){
                console.log(item.tagName);
            }
        }
        HTMLInfo.prototype.showCount = function(){
            console.log(this.elements.length);
        }
        HTMLInfo.prototype.showClass = function(){
            for(item of this.elements){
                console.log(item.className);
            }
        }
        HTMLInfo.prototype.showHtml = function(){
            for(item of this.elements){
                console.log(item.innerHTML);
            }
        }
        HTMLInfo.prototype.showData = function(){
            for(item of this.elements){
                console.log(item.dataset);
            }
        }

        const info = new HTMLInfo("li");
        info.showElements();
        info.showTags();
        info.showCount();
        info.showClass();
        info.showHtml();
        info.showData();

        // e) każdemu linkowi w tym menu ustaw atrybut title="Przejdź na stronę ..." gdzie ... pobierzesz z środka linka
        // f) za pomocą JS każdemu linkowi w tym ul ustaw atrybut href na #. Po co to robimy? Czy jest alternatywna metoda?
    </script>
</body>
</html>